## isc-dhcp 4.4.3-P1

=== debian/changelog ===
isc-dhcp (4.4.3-P1-2) unstable; urgency=medium

  [ Gabriel Potter ]
  * Support bound /etc/resolv.conf (Closes: #1034502)

  [ Bastian Germann ]
  * d/copyright Format: Add trailing slash

  [ Santiago Ruano Rincón ]
  * Add NEWS about isc-dhcp-server EOL'ed and its apparmor profile
  * Test debian/tests/client-server

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 17 Apr 2023 14:20:02 +0200

isc-dhcp (4.4.3-P1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport missing IPv6 address lifetime handling. (closes: #1022969)

 -- Bastian Blank <waldi@debian.org>  Mon, 09 Jan 2023 10:15:41 +0100

isc-dhcp (4.4.3-P1-1) unstable; urgency=low

  * New upstream version 4.4.3-P1
  * Remove no longer needed CVE-2022-2928.patch and CVE-2022-2929.patch

 -- Santiago Ruano Rincón <santiago@debian.org>  Thu, 13 Oct 2022 14:12:54 +0200

isc-dhcp (4.4.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * An option refcount overflow exists in dhcpd (CVE-2022-2928)
    (Closes: #1021320)
  * DHCP memory leak (CVE-2022-2929) (Closes: #1021320)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 06 Oct 2022 22:20:47 +0200

isc-dhcp (4.4.3-2) unstable; urgency=medium

  * Explicitly link against -latomic to fix FTBFS on mipsel, m68k, powerpc and
    sh4

 -- Santiago Ruano Rincón <santiago@debian.org>  Thu, 26 May 2022 21:31:55 +0200
