=== debian/watch ===
version=4
opts="uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.sha512.asc/" \
https://ftp.isc.org/isc/dhcp/(\d.\d.\d|\d.\d.\d-.*)/dhcp-(.*|.*-.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
