## isc-dhcp 4.4.3-P1-4ubuntu2trisquel2

=== debian/changelog ===
isc-dhcp (4.4.3-P1-4ubuntu2trisquel2) ecne; urgency=medium

  * Disable sending hostname through dhcp by default

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 09 Oct 2024 05:24:18 +0000

isc-dhcp (4.4.3-P1-4ubuntu2) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 12:43:04 +0200

isc-dhcp (4.4.3-P1-4ubuntu1) noble; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Ubuntu patches:
      + Give-an-example-for-subnet-mask-in-dhcpd.conf.patch
      + dhclient-fix-backoff
      + revert-next-server
      + multi-ip-addr-per-if
      + dhclient-safer-timeout
      + onetry_retry_after_initial_success
      + Add InfiniBand support:
        - dhcp-lpf-ib.patch
        - dhcp-improved-xid.patch
        - dhcp-gpxe-cid.patch
        - dhcp-improved-xid-correct-byte-order.patch
      + dhcp-4.2.4-dhclient-options-changed.patch
      + ubuntu-dhcpd-conf.patch
      + dhclient-write-pidfile-earlier.patch: Write pidfile before informing
        parent of success.
      + bind-outdated-config.guess.patch: run autoreconf in the bind directory.
    - Drop isc-dhcp-server/new_auth_behavior question from high to medium
    - Apport hook for isc-dhcp-client and isc-dhcp-server.
    - Add enforcing AppArmor profile for DHCP client and server
    - Increase the timeout to 300 seconds for dhclient.conf (following the
      default added by dhclient-safer-timeout).
    - Separate default file for isc-dhcp-relay6.
    - Create user/group dhcpd and make isc-dhcp-server depend on adduser.
    - Create /etc/dhcp/ddns-keys/ for DDNS updates.
    - Sanitize environment in dhclient-script.linux.
    - Add systemd units for -server and -relay.
      + If /etc/ltsp/dhcpd.conf exists, use that instead of
        /etc/dhcp/dhcpd.conf.
    - isc-dhcp-server: Suggest policycoreutils instead of recommending it.
    - ipv6: wait for duplicate address detection to finish. LP #1633479
    - Ship dhcp exit hook to push DNS information to resolved. LP #1889068
    - Stop building the udeb on request.
    - debian/rules: Build with -O2 instead on -O3 on ppc64el
    - debian/rules: build with -fno-strict-aliasing.
    - Disable make_resolv_conf() if systemd-resolved is in use.
    - debian/control: add Pre-Depends: ${misc:Pre-Depends} for
      init-system-helpers.
    - debian/apparmor/sbin.dhclient: Allow disabling dhclient hooks.
    - Do not build with DH_VERBOSE=1
  * Dropped changes, included in Debian:
    - Ship keama, the KEA Migration Assistant in a new isc-dhcp-keama binary
      package. (LP: #2020086)
  * Refresh patches (using gbp pq)
  * debian/control: Drop libcap-dev build dependency (no change in diffoscope).
  * Use /run/dhcp-server6 for isc-dhcp-server6 service.
    Thanks to Jason Penney (LP: #1543799)
  * debian/rfc3442-classless-routes.linux: Use configured metric.
    Thanks to Tom Carroll (LP: #1664352)
  * autopkgtest: Use setup logic from isc-dhcp-server.service

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 27 Nov 2023 14:04:49 +0100

isc-dhcp (4.4.3-P1-4) unstable; urgency=low

  [ Athos Ribeiro ]
  * d/p/adjust-keama-tests.patch: do not rely on endianess (Closes: #1054077)

 -- Santiago Ruano Rincón <santiago@debian.org>  Fri, 20 Oct 2023 09:16:37 -0300

isc-dhcp (4.4.3-P1-3) unstable; urgency=low

  [ Athos Ribeiro ]
  * Ship keama in a new isc-dhcp-keama binary package (Closes: #1036277)
  * Add DEP8 tests for keama
  * d/p/adjust-keama-tests.patch: adjust keama tests
  * d/rules: make keama tests fail on error messages

  [ Santiago Ruano Rincón ]
  * Make dhclient-script exits with error when it is not able to write in the
    temporary file. Patch by Johannes Weißl <jargon@molb.org>
    (Closes: #982894)
  * Import debian/patches/0013-DHCPv6-over-PPP-support-626514.patch
    (Closes: #1015809)
  * Enable ARM builds in salsa-ci.yml
  * Bump Standards-Version to 4.6.2. No changes needed
  * Remove obsolete dependencies on lsb-base and policykit-1. Replace with
    polkitd
  * Fix assignment of dpkg-architecture variables in d/rules
  * Remove the --parallel argument from the call to dh on d/rules

 -- Santiago Ruano Rincón <santiago@debian.org>  Fri, 15 Sep 2023 21:50:04 +0530

isc-dhcp (4.4.3-P1-2ubuntu5) mantic; urgency=medium

  * Remove initramfs-tools integration from isc-dhcp-client.
    initramfs-tools >= 0.142ubuntu9 uses dhcpcd instead of dhclient.
    (LP: #2024164)
  * autopkgtest: Ensure that /var/lib/dhcp/dhcpd.leases is present

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 05 Sep 2023 12:55:20 +0200

isc-dhcp (4.4.3-P1-2ubuntu4) mantic; urgency=medium

  * Restore execution bits of files in debian/ from previous upload
  * Do not build with DH_VERBOSE=1

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 16 Jun 2023 12:44:01 +0200

isc-dhcp (4.4.3-P1-2ubuntu3) mantic; urgency=medium

  * debian/initramfs-tools/lib/etc/dhcp/dhclient-enter-hooks.d/config:
    - Do not merge DNS domain into DOMAINSEARCH to match ipconfig's behavior
    - add filename and DHCPLEASETIME variables
    - match order of entries with ipconfig's order

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 14 Jun 2023 12:59:49 +0200

isc-dhcp (4.4.3-P1-2ubuntu2) mantic; urgency=medium

  * Ship keama, the KEA Migration Assistant in a new isc-dhcp-keama binary
    package. (LP: #2020086)

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 18 May 2023 21:30:57 -0300

isc-dhcp (4.4.3-P1-2ubuntu1) mantic; urgency=low

  * Merge from Debian unstable, remaining changes:
    - debian/control: Add libcap-dev build dependency.
    - Apport hook for isc-dhcp-client and isc-dhcp-server.
    - Add systemd units for -server and -relay.
    - If /etc/ltsp/dhcpd.conf exists, use that instead of
      /etc/dhcp/dhcpd.conf.
    - Create user/group dhcpd and make isc-dhcp-server depend on adduser.
    - isc-dhcp-server: Suggest policycoreutils instead of recommending it.

