=== debian/control ===
--- 
+++ 
@@ -1,41 +1,45 @@
 Source: isc-dhcp
 Section: net
 Priority: important
-Maintainer: Debian ISC DHCP Maintainers <isc-dhcp@packages.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+XSBC-Original-Maintainer: Debian ISC DHCP Maintainers <isc-dhcp@packages.debian.org>
 Uploaders: Andrew Pollock <apollock@debian.org>, Michael Gilbert <mgilbert@debian.org>, Santiago Ruano Rincón <santiago@debian.org>
 Homepage: http://www.isc.org
 Build-Depends:
  dpkg-dev (>= 1.13.2),
  debhelper-compat (=13),
  dh-apparmor,
+ dh-apport,
  dh-autoreconf,
  groff,
  pkg-config,
  po-debconf,
  libldap2-dev,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/isc-dhcp.git
 Vcs-Browser: https://salsa.debian.org/debian/isc-dhcp
 
 Package: isc-dhcp-server
 Priority: optional
 Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
- debianutils (>= 2.8.2),
- lsb-base,
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ adduser,
+ debianutils (>= 2.8.2),
 Recommends:
  isc-dhcp-common,
- policycoreutils,
 Breaks:
  isc-dhcp-common (<= 4.3.3-1),
  logcheck-database (<= 1.3.17~)
 Replaces:
  isc-dhcp-common (<= 4.3.3-1),
 Suggests:
- policykit-1,
+ polkitd,
  isc-dhcp-server-ldap,
+ policycoreutils,
  ieee-data
 Description: ISC DHCP server for automatic IP address assignment
  This is the Internet Software Consortium's DHCP server.
@@ -154,6 +158,7 @@
 Priority: important
 Architecture: any
 Section: debian-installer
+Build-Profiles: <!noudeb>
 Depends:
  ${shlibs:Depends},
 Package-Type: udeb
@@ -162,10 +167,11 @@
 Package: isc-dhcp-relay
 Priority: optional
 Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
- lsb-base (>= 3.0-6),
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
  debianutils (>= 2.8.2),
 Recommends:
  isc-dhcp-common,
@@ -186,3 +192,15 @@
  .
  More information can be found in the ISC official announcement:
  https://www.isc.org/blogs/dhcp-client-relay-eom/
+
+Package: isc-dhcp-keama
+Priority: optional
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: KEA Migration Assistant
+ This is an ISC DHCP server to ISC KEA Migration Assistant.
+ .
+ The KEA Migration Assistant (aka keama) is an experimental tool
+ which helps to translate ISC DHCP configurations to Kea.
