## isc-dhcp 4.4.3.1-P1

=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,9 @@
 export DH_VERBOSE=1
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
-DEB_HOST_ARCH_OS=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
-DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 LEASE_PATH=/var/lib/dhcp
 DHCLIENT_SCRIPT=/sbin/dhclient-script
@@ -39,7 +39,10 @@
 endif
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@ --with autoreconf
+
+override_dh_clean:
+	dh_clean $@ -Xkeama/tests/samples/*
 
 # Ensure that the bind config.guess/config.sub are unpacked first,
 # otherwise they won't be updated and isc-dhcp will FTBFS on new arches
@@ -70,6 +73,21 @@
 	test -f Makefile && $(MAKE) distclean || true
 	./configure CFLAGS="$(CFLAGS) -DNSUPDATE" $(CONFFLAGS) LIBS="$(LIBS) -latomic"
 	$(MAKE)
+	# keama build
+	$(MAKE) -C keama
+
+override_dh_auto_test:
+	/bin/sh keama/tests/runall.sh 2> /tmp/keama-test-errors
+	cat /tmp/keama-test-errors
+	test -f /tmp/keama-test-errors
+	test ! -s /tmp/keama-test-errors
+	rm -f /tmp/keama-test-errors
+	dh_auto_test $@
+
+override_dh_auto_install:
+	dh_auto_install
+	# install keama
+	dh_auto_install -- -C keama
 
 override_dh_install:
 	# rename some upstream files
